Gtk2::Frame(3)

NAME
Gtk2::Frame

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Frame

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Frame->new ($label=undef)

•   $label (string or undef)

  (xalign, yalign) = $frame->get_label_align

  $frame->set_label_align ($xalign, $yalign)

•   $xalign (double)

•   $yalign (double)

  string = $frame->get_label

  $frame->set_label ($label=undef)

•   $label (string or undef)

  widget = $frame->get_label_widget

  $frame->set_label_widget ($label_widget)

•   $label_widget (Gtk2::Widget)

  shadowtype = $frame->get_shadow_type

  $frame->set_shadow_type ($type)

•   $type (Gtk2::ShadowType)

PROPERTIES

'label' (string : readable / writable / private)
    Text of the frame's label

'label-widget' (Gtk2::Widget : readable / writable / private)
    A widget to display in place of the usual frame label

'label-xalign' (Glib::Float : readable / writable / private)
    The horizontal alignment of the label

'label-yalign' (Glib::Float : readable / writable / private)
    The vertical alignment of the label

'shadow' (Gtk2::ShadowType : readable / writable / private)
    Deprecated property, use shadow_type instead

'shadow-type' (Gtk2::ShadowType : readable / writable / private)
    Appearance of the frame border

ENUMS AND FLAGS

  enum Gtk2::ShadowType

•   'none' / 'GTK_SHADOW_NONE'

•   'in' / 'GTK_SHADOW_IN'

•   'out' / 'GTK_SHADOW_OUT'

•   'etched-in' / 'GTK_SHADOW_ETCHED_IN'

•   'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.